Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class ReportDetailsValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.ReportDetailsValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

    public class ReportDetailsValidator

extends java.lang.Object
implements org.springframework.validation.Validator

A validator for our form backing object. Note that this validator supports individual validation of each step in the "create report flow".

Constructor Summary
`ReportDetailsValidator()`

Method Summary
`RepositoryService` | `getRepository()`
`ServletContextInformation` | `getServletContextInformation()`
`void` | `setRepository(RepositoryService repository)`
`void` | `setServletContextInformation(ServletContextInformation servletContextInformation)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object o, org.springframework.validation.Errors errors)`
`protected void` | `validateInputControlView(ReportUnitWrapper ruWrapper, org.springframework.validation.Errors uiErrors)`
`void` | `validateJrxmlUpload(ReportUnitWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateNameLabelDesc(ReportUnitWrapper ruWrapper, org.springframework.validation.Errors uiErrors)`
`void` | `validateReportViewForm(ReportUnitWrapper ruWrapper, org.springframework.validation.Errors uiErrors)`
`void` | `validateResources(ReportUnitWrapper wrapper, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDetailsValidator

    public ReportDetailsValidator()

Method Detail

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object o,
                         org.springframework.validation.Errors errors)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateNameLabelDesc

    public void validateNameLabelDesc(ReportUnitWrapper ruWrapper,
                                      org.springframework.validation.Errors uiErrors)

### validateJrxmlUpload

    public void validateJrxmlUpload(ReportUnitWrapper wrapper,
                                    org.springframework.validation.Errors errors)

### validateResources

    public void validateResources(ReportUnitWrapper wrapper,
                                  org.springframework.validation.Errors errors)

### validateInputControlView

    protected void validateInputControlView(ReportUnitWrapper ruWrapper,
                                            org.springframework.validation.Errors uiErrors)

### validateReportViewForm

    public void validateReportViewForm(ReportUnitWrapper ruWrapper,
                                       org.springframework.validation.Errors uiErrors)

### getServletContextInformation

    public ServletContextInformation getServletContextInformation()

### setServletContextInformation

    public void setServletContextInformation(ServletContextInformation servletContextInformation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.